Mover etapa
curl --request POST \
--url https://apiv3.usecorvex.com.br/api/v1/automations/{automationId}/steps/{stepId}/move \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Store-Id: <x-store-id>' \
--data '
{
"after": "wait-30"
}
'const options = {
method: 'POST',
headers: {
'X-Store-Id': '<x-store-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({after: 'wait-30'})
};
fetch('https://apiv3.usecorvex.com.br/api/v1/automations/{automationId}/steps/{stepId}/move', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://apiv3.usecorvex.com.br/api/v1/automations/{automationId}/steps/{stepId}/move"
payload = { "after": "wait-30" }
headers = {
"X-Store-Id": "<x-store-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": false,
"error": {
"message": "X-Store-Id deve ser um UUID válido",
"code": "VALIDATION_ERROR"
},
"meta": {
"timestamp": "2026-09-24T14:00:00.000Z",
"status": 400
}
}{
"success": false,
"error": {
"message": "Esta rota exige uma API Key. Use Authorization: Bearer cvx_live_...",
"code": "AUTH_API_KEY_REQUIRED"
},
"meta": {
"timestamp": "2026-09-24T14:00:00.000Z",
"status": 401
}
}{
"success": false,
"error": {
"message": "Sua API Key não tem o escopo necessário para esta operação.",
"code": "AUTH_SCOPE_DENIED"
},
"meta": {
"timestamp": "2026-09-24T14:00:00.000Z",
"status": 403
}
}{
"success": false,
"error": {
"message": "Recurso não encontrado",
"code": "RESOURCE_NOT_FOUND"
},
"meta": {
"timestamp": "2026-09-24T14:00:00.000Z",
"status": 404
}
}{
"success": false,
"message": "Muitas requisições. Tente novamente em instantes.",
"error": "RATE_LIMITED",
"retryAfter": 12
}Referência HTTP
Mover etapa
Reordena um step. after: null coloca no início do tronco. Escopo automations:write.
POST
/
api
/
v1
/
automations
/
{automationId}
/
steps
/
{stepId}
/
move
Mover etapa
curl --request POST \
--url https://apiv3.usecorvex.com.br/api/v1/automations/{automationId}/steps/{stepId}/move \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Store-Id: <x-store-id>' \
--data '
{
"after": "wait-30"
}
'const options = {
method: 'POST',
headers: {
'X-Store-Id': '<x-store-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({after: 'wait-30'})
};
fetch('https://apiv3.usecorvex.com.br/api/v1/automations/{automationId}/steps/{stepId}/move', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://apiv3.usecorvex.com.br/api/v1/automations/{automationId}/steps/{stepId}/move"
payload = { "after": "wait-30" }
headers = {
"X-Store-Id": "<x-store-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": false,
"error": {
"message": "X-Store-Id deve ser um UUID válido",
"code": "VALIDATION_ERROR"
},
"meta": {
"timestamp": "2026-09-24T14:00:00.000Z",
"status": 400
}
}{
"success": false,
"error": {
"message": "Esta rota exige uma API Key. Use Authorization: Bearer cvx_live_...",
"code": "AUTH_API_KEY_REQUIRED"
},
"meta": {
"timestamp": "2026-09-24T14:00:00.000Z",
"status": 401
}
}{
"success": false,
"error": {
"message": "Sua API Key não tem o escopo necessário para esta operação.",
"code": "AUTH_SCOPE_DENIED"
},
"meta": {
"timestamp": "2026-09-24T14:00:00.000Z",
"status": 403
}
}{
"success": false,
"error": {
"message": "Recurso não encontrado",
"code": "RESOURCE_NOT_FOUND"
},
"meta": {
"timestamp": "2026-09-24T14:00:00.000Z",
"status": 404
}
}{
"success": false,
"message": "Muitas requisições. Tente novamente em instantes.",
"error": "RATE_LIMITED",
"retryAfter": 12
}Authorizations
API Key no formato cvx_live_..., criada no painel Corvex. Não use JWT de sessão nem x-api-key.
Headers
UUID da loja. A chave precisa ter esta loja autorizada.
Response
Automação atualizada.